Description

Reference editor

reference

Date published Reference type
g 1803 Book -]

Title

Les Diatomées d'Auvergne

Nomenclatural title

Author(s)

Héribaud

In series

) i

Volume Pages Edition Place published

1-253, pl. 1-6

Publisher Editor

Reference type Article is perfect (100 % Atrticles in journal)

Bug in reference type = Book because only 50 % books are "In series"
1) both reference types cannot be handled the same way
2) "In series" should not be a MANDATORY field.

In the given example Héribaud wrote a single book (with place and publisher) but not in a series.
Workaround: create a blank Series (Reference [type=PrintSeries, id= 3161, uuid=f38853bd-2151-4921-a8c1-0a9870c9da59])
Example: Héribaud, J., Les Diatomées d'Auvergne: 1-255, pl. 1-6. 1893

Associated revisions

Revision 80e7{781 - 04/30/2019 03:30 PM - Andreas Kohlbecker

fix #8250 RegistrationEditor inReference required only for Article Section BookSection InProceedings

History

#1 - 04/29/2019 09:24 AM - Andreas Kohlbecker
- Subject changed from Reference type book with bug to ReferenceEditor: inReference must not be required for type book
- Priority changed from New to Highest

- Target version changed from Unassigned CDM tickets to Release 5.7

#2 - 04/30/2019 03:30 PM - Andreas Kohlbecker
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset cdm-vaadin|80e7{7818a45beba837dadf4ef75837053efe2f0.

#3 - 04/30/2019 03:30 PM - Andreas Kohlbecker

- Assignee changed from Andreas Kohlbecker to Wolf-Henning Kusber

please review

#4 - 04/30/2019 09:12 PM - Wolf-Henning Kusber

- Assignee changed from Wolf-Henning Kusber to Andreas Kohlbecker

- % Done changed from 50 to 100

The bug is fixed, input of books with and without series can be done and saved.

This ticket can be closed.

That series and Editor are not shown is the caching problem to be handled by Andreas M.

#5 - 04/30/2019 11:10 PM - Andreas Kohlbecker

- Status changed from Resolved to Closed
